:root{
    --primary-color: #c62668;
    --primary-color-hover: #eab2c9;
    
    --primary-bg-color: #c62668;
    --secondary-bg-color: #ffbad6;
    
}

body{
    background-color: var(--light-color);
    color: #222;
    font-family: "Cormorant Garamond", serif;
    font-size: 1.1rem;
}

.grecaptcha-badge{
    visibility: hidden !important;
}


.background-image{
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.page-title{
    font-size: 3rem;
    color: #000;
    text-align: center;
    font-weight: 700;
}

.btn-order{
    border: 1px solid #FFF;
    border-radius: 2rem;
    padding: 0.5rem 2rem;
    font-size: 1.3rem;
    font-family: "Roboto", sans-serif;
    font-weight: 600;
    letter-spacing: 0.7px;
    color: #FFF;
    background-color: var(--primary-color);
}

.btn-order:hover{
    background-color: var(--primary-color-hover);
}

.btn-order .bi{
    vertical-align: 1px;
}

.form-control:focus, .form-check-input:focus{
    box-shadow: none;
    border-color: var(--primary-color);
}

.form-check-input{
    border: 1px solid #AAA;
}

.form-check-input:checked{
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

@media(max-width: 960px){
    font-size: 2.5rem;
}

/************** NAV **************/

#navbar{
    background-color: var(--primary-bg-color);
}

.navbar-logo-img{
    width: 110px;
    height: 110px;
}

.nav-item{
    margin-right: 2rem;
    width: fit-content;
}

.nav-link{
    color: #FFF;
    border-radius: 2rem;
    padding: 0.5rem 2rem !important;
    font-weight: 600;
    font-size: 1.5rem;
}

.nav-link:hover{
    color: #222;
    background-color: var(--primary-color-hover);
}

.nav-link.active{
    color: #222;
    background-color: var(--primary-color-hover);
}

.nav-cart-wrapper{
    font-size: 2rem;
    background-color: #FFF;
    color: var(--primary-color);
    border-radius: 6px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 20px;
    width: 60px;
    height: 60px;
    padding: 0 !important;
    text-align: center;
    position:relative;
}

.nav-cart-wrapper a{
    color: inherit;
    font-size: 1.2rem;
    line-height: 60px;
}

.nav-cart-counter{
    position: absolute;
    top: -12px;
    right: -12px;
    background-color: var(--primary-color-hover);
    color: #222;
    font-weight: 800;
    font-size: 1.4rem;
    width: 28px;
    height: 28px;
    border-radius: 1rem;
    text-align: center;
    
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-cart-sm-wrapper{
    position:relative;
}

.nav-cart-sm-counter{
    position: absolute;
    top: -12px;
    right: -12px;
    background-color: var(--primary-color-hover);
    color: #222;
    font-weight: 800;
    font-size: 1.4rem;
    width: 24px;
    height: 24px;
    border-radius: 1rem;
    text-align: center;
    
    display: flex;
    justify-content: center;
    align-items: center;
}

.navbar-toggler:focus {
    box-shadow: 0 0 0 2px #FFF;
}

#nav-cart-count{
    line-height: 28px;
}

@media(min-width: 1600px){
    
    .navbar-brand{
        margin-right: 3rem;
    }
}

@media(max-width: 1440px){
    .navbar-logo-img{
        width: 75px;
        height: 75px;
        margin-left: 0;
    }
    
    .nav-item{
        margin-right: 1rem;
        width: fit-content;
    }
    
    .nav-link{
        font-size: 1.4rem;
        padding: 0.4rem 1.5rem !important;
        letter-spacing: 0.7px;
    }
}

@media(max-width: 960px){
    .navbar{
        border-bottom: 1px solid #FFFFFF70;
    }
    
    .navbar-logo-img{
        width: 55px;
        height: 55px;
    }
    
    .nav-item{
        width: 100%;
    }
    
    .navbar-cart-sm{
        font-size: 1rem;
        background-color: #FFF;
        color: #444;
        border-radius: 6px;
        box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 10px;
        padding: 0.8rem 1rem;
        text-align: center;
    }
    
    .navbar-toggler{
        border: #FFFFFF70 solid 1px;
        padding: 0.55rem 0.7rem;
    }
    
    .navbar-toggler-icon{
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255,255,255,0.75 %29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    }
}

@media(min-width: 961px) and (max-width: 1399px){
    .nav-link{
        padding: 0.2rem 1.2rem !important;
        font-size: 16px;
    }
    
    .navbar-brand img{
        width: 100px !important;
    }
    
    .nav-item {
        margin-right: 1rem;
    }
}

/******** footer-whyus-sec ************/

.footer-whyus-sec{
    background-color: #000;
    padding: 4rem 0;
    color: #FFF;
    font-size: 1.8rem;
}

.footer-whyus-icon-wrapper{
    background-color: var(--primary-color);
    color: #FFF;
    border-radius: 6rem;
    height: 6rem;
    width: 6rem;
    text-align: center;
    line-height: 6rem;
}

.footer-whyus-icon-wrapper .bi{
    font-size: 2.5rem;
    veritcal-align: 0;
}

/******* footer *********/

footer{
    background-color: #FFF;
    color: var(--primary-color);
    font-size: 1.2rem;
    font-weight: bolder;
}

.footer-top{
    border-bottom: 1px solid var(--primary-color);
}

.footer-logo{
    max-height: 150px;
}

footer ul{
    list-style: none;
}

.footer-link{
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    text-decoration: none;
    color: var(--primary-color);
    transition: all 0.3s ease-in-out;
}

.footer-link:hover{
    color: var(--primary-color-hover);
}

.footer-navlink{
    text-decoration: none;
    color: var(--primary-color);
    transition: all 0.3s ease-in-out;
    font-weight: 600;
}

.footer-navlink:hover{
    color: var(--primary-color-hover);
}

.footer-link .bi{
    font-size: 15px;
    color: var(--primary-color);
}

.developer-url{
    color: var(--primary-color);
}

/*************** warning modal **************/

.warning-modal-container{
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    z-index: 999;
}

.warning-modal-overlay{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 998;
    width: 100vw;
    height: 100vh;
    background-color: #000000D0;
}

.warning-modal{
    position: fixed;
    top: 10%;
    left: 50%;
    transform: translate(-50%, 0);
    z-index: 999;
    background-color: var(--primary-color-hover);
    min-width: 350px;
    max-width: 550px;
    max-height: 50vh;
    padding: 1rem;
    border-radius: 8px;
}

.warning-msg{
    font-size: 1.2rem;
    text-align: center;
    font-weight: bolder;
}


/************* cookie popup *************/

.cookie-popup-wrapper{
    position: fixed;
    bottom: 32px;
    right: 32px;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.3);
    border: 1px solid var(--primary-color);
    background-color: #FFF;
    max-width: 550px;
    padding: 2rem;
    z-index: 9999;
}

.cookie-header{
    font-size: 1.3rem;
    font-family: "Lemon", serif;
    font-weight: 800;
    margin-bottom: 2rem;
}

.cookie-body{
    margin-bottom: 2rem;
}

.cookie-body a{
    color: #444;
}

.cookie-footer{
    text-align: center;
}

#cookie_accept_all{
    background-color: var(--primary-color);
    color: #FFF;
    font-size: 1.2rem;
    font-weight: 800;
    border: 1px solid var(--primary-color);
    padding: 1rem 2rem;
}

#cookie_accept{
    background-color: transparent;
    color:  var(--primary-color);
    font-size: 1.2rem;
    font-weight: 600;
    border: 1px solid var(--primary-color);
    padding: 1rem 2rem;
}

@media(max-width: 500px){
    .cookie-popup-wrapper{
        bottom: auto;
        right: auto;
        top: 32px;
        padding: 1rem;
        overflow-y: scroll;
        max-width: 100vw;
        max-height: 90vh;
    }
    
    #cookie_accept_all{
        font-size: 1.0rem;
        font-weight: 800;
        padding: 0.5rem 0.8rem;
        margin-bottom: 0.5rem;
    }

    #cookie_accept{
        font-size: 1.0rem;
        font-weight: 600;
        padding: 0.5rem 0.8rem;
        margin-bottom: 0.5rem;
    }
}

.primary-color{
    color: var(--primary-color);
}

/*************** POPUP **************/

.popup-container{
    display: flex;
    align-items: center;
    justify-content: center;
}

.popup-overlay{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 900;
    width: 100vw;
    height: 100vh;
    
    background-color: #000000D0;
}

.popup-content-wrapper{
    position: fixed;
    top: 10%;
    left: 50%;
    z-index: 901;
    transform: translate(-50%, 0);
    
    min-width: 350px;
    max-width: 550px;
    max-height: 50vh;
    
    background-color: var(--primary-bg-color);
    color: #EEE;
    
    border: 1px solid var(--primary-color);
    border-radius: 8px;
}

.popup-content{
    position: relative;
}

.popup-close-icon{
    position: absolute;
    top: -16px;
    right: -16px;
    
    background-color: #777;
    color: #FFF;
    font-weight: 900;
    font-size: 1rem;
    
    border: 3px solid #FFF;
    border-radius: 1rem;
    
    width: 33px;
    height: 33px;
    
    display: flex;
    justify-content: center;
    align-items: center;
    
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.popup-close-icon div{
    margin-top: -3px;
    margin-right: -1px;
    transition: all 0.3s ease-in-out;
}

.popup-close-icon:hover{
    border-color: var(--primary-color);
    background-color: #000;
}

.popup-close-icon:hover div{
    color: var(--primary-color);
}

.popup-content{
    max-width: 450px;
    padding: 1rem;
}

@media(max-width: 960px){
    .popup-content{
        max-width: 350px;
    }
}